%define upstream_name    Perl-PrereqScanner-NotQuiteLite
%define upstream_version 0.9913

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    A tool to scan your Perl code for its prerequisites
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Perl/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN::Meta::Prereqs) >= 2.150.10
BuildRequires: perl(CPAN::Meta::Requirements) >= 2.140.0
BuildRequires: perl(Data::Dump)
BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::MakeMaker::CPANfile) >= 0.90.0
BuildRequires: perl(Module::CPANfile) >= 1.100.400
BuildRequires: perl(Module::CoreList) >= 3.110.0
BuildRequires: perl(Module::Find)
BuildRequires: perl(Regexp::Trie)
BuildRequires: perl(Test::FailWarnings)
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(Test::UseAllModules) >= 0.170.0
BuildRequires: perl(parent)
#BuildRequires: perl(URI::cpan)

BuildArch:  noarch

%description
Perl::PrereqScanner::NotQuiteLite is yet another prerequisites scanner. It
passes almost all the scanning tests for the Perl::PrereqScanner manpage
and the Module::ExtractUse manpage (ie. except for a few dubious ones), and
runs slightly faster than PPI-based Perl::PrereqScanner. However, it
doesn't run as fast as the Perl::PrereqScanner::Lite manpage (which uses an
XS lexer).

Perl::PrereqScanner::NotQuiteLite also recognizes 'eval'. Prerequisites in
'eval' are not considered as requirements, but you can collect them as
suggestions.

Conditional requirements or requirements loaded in a block are treated as
recommends. Noed modules are stored separately (since 0.94). You may or may
not need to merge them into requires.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/scan-perl-prereqs-nqlite
%{_mandir}/man1/scan-perl-prereqs-nqlite.1*

%changelog
* Tue Sep 08 2020 tv <tv> 0.991.300-1.mga8
+ Revision: 1623625
- restore BRs
- update to 0.9913

* Mon May 11 2020 tv <tv> 0.991.100-1.mga8
+ Revision: 1582833
- update to 0.9911

* Tue Feb 18 2020 umeabot <umeabot> 0.990.900-2.mga8
+ Revision: 1539205
- Mageia 8 Mass Rebuild

* Sun Dec 01 2019 tv <tv> 0.990.900-1.mga8
+ Revision: 1463910
- update to 0.9909

* Sun Aug 25 2019 tv <tv> 0.990.800-1.mga8
+ Revision: 1431980
- update to 0.9908

* Mon Jul 08 2019 tv <tv> 0.990.600-1.mga8
+ Revision: 1419629
- update to 0.9906

* Sat Jun 29 2019 tv <tv> 0.990.500-1.mga8
+ Revision: 1415965
- update to 0.9905

* Thu Feb 07 2019 tv <tv> 0.990.400-1.mga7
+ Revision: 1364066
- update to 0.9904

* Mon Feb 04 2019 tv <tv> 0.990.300-1.mga7
+ Revision: 1363114
- imported package perl-Perl-PrereqScanner-NotQuiteLite

